"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultBlockWhitelist = exports.defaultInlineWhitelist = exports.ENTITY_TYPE = exports.CODE_BLOCK_TYPE = exports.inlineMatchers = exports.CODE_BLOCK_REGEX = void 0;
var CODE_BLOCK_REGEX = /^```([\w-]+)?\s*$/;
exports.CODE_BLOCK_REGEX = CODE_BLOCK_REGEX;
var inlineMatchers = {
  BOLD: [/(?:^|\s)\*(.+)\*$/g],
  ITALIC: [/(?:^|\s)_(.+)_$/g],
  CODE: [/(?:^|\s)`([^`]+)`$/g],
  STRIKETHROUGH: [/(?:^|\s)~(.+)~$/g]
};
exports.inlineMatchers = inlineMatchers;
var CODE_BLOCK_TYPE = "code-block";
exports.CODE_BLOCK_TYPE = CODE_BLOCK_TYPE;
var ENTITY_TYPE = {
  IMAGE: "IMG",
  LINK: "LINK"
};
exports.ENTITY_TYPE = ENTITY_TYPE;
var defaultInlineWhitelist = ["BOLD", "ITALIC", "CODE", "STRIKETHROUGH", "LINK", "IMAGE"];
exports.defaultInlineWhitelist = defaultInlineWhitelist;
var defaultBlockWhitelist = ["CODE", "header-one", "header-two", "header-three", "header-four", "header-five", "header-six", "ordered-list-item", "unordered-list-item", "blockquote"];
exports.defaultBlockWhitelist = defaultBlockWhitelist;